POR_PROF_Entregable1/Entregable1/Models/Contacto.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Entregable1.Models
{
    public class Contacto
    {
        public string Nombre { get; set; }
        public string Telefono { get; set; }
        public string FechaNacimiento { get; set; }
        public string Comentario { get; set; }
    }
}

POR_PROF_Entregable1/Entregable1/Models/HandleContacto.cs
using System;
using System.Collections.Generic;
using System.Configuration;
using System.IO;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.Hosting;
using System.Xml;
using System.Xml.Linq;

namespace Entregable1.Models
{
    public class HandleContacto
    {
        private string fileName = "Contactos";

        private string GetFilePath()
        {
            return $"{ConfigurationManager.AppSettings.Get("DireccionXml")}/{fileName}.xml";
        }

        private XDocument GetDocumento()
        {
            XDocument document = new XDocument();

            if (!File.Exists(GetFilePath()))
            {
                // Creo nodo raiz
                document.Add(new XElement("contactos"));

                document.Save(GetFilePath());
            }

            document = XDocument.Load(GetFilePath());

            return document;
        }

        private void SaveDocumento(XDocument document)
        {
            document.Save(GetFilePath());
        }

        public void Crear(Contacto contacto)
        {

            XDocument document = GetDocumento();

            XElement xContacto = new XElement("contacto");

            xContacto.Add(new XElement("nombre", contacto.Nombre));
            xContacto.Add(new XElement("telefono", contacto.Telefono));
            xContacto.Add(new XElement("fechaNacimiento", contacto.FechaNacimiento));
            xContacto.Add(new XElement("comentario", contacto.Comentario));

            document.Root.Add(xContacto);

            SaveDocumento(document);

        }
        public List<Contacto> GetAll()
        {

            List<Contacto> contactos = new List<Contacto>();

            XDocument document = GetDocumento();

            foreach (var nodo in document.Root.Descendants("contacto"))
            {

                contactos.Add(new Contacto
                {
                    Comentario = nodo.Element("comentario").Value,
                    FechaNacimiento = nodo.Element("fechaNacimiento").Value,
                    Nombre = nodo.Element("nombre").Value,
                    Telefono = nodo.Element("telefono").Value,
                });

            }

            return contactos;


        }

    }
}

POR_PROF_Entregable1/Entregable1/Controllers/ContactoController.cs
using Entregable1.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Entregable1.Controllers
{
    public class ContactoController : Controller
    {
        // GET: Contacto
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult NuevoComentario()
        {

            Contacto contacto = new Contacto()
            {
                Nombre = Request.Form["nombre"].ToString(),
                Telefono = Request.Form["telefono"].ToString(),
                FechaNacimiento = Request.Form["fechaNacimiento"].ToString(),
                Comentario = Request.Form["comentarios"].ToString()
            };

            HandleContacto handle = new HandleContacto();
            handle.Crear(contacto);

            return View();

        }

        public ActionResult ListadoComentarios()
        {

            HandleContacto handle = new HandleContacto();

            ViewData["contactos"] = handle.GetAll();

            return View();

        }



    }
}

POR_PROF_Entregable1/Entregable1/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Entregable1.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }
    }
}

POR_PROF_Entregable1/Entregable1/Views/Contacto/Index.cshtml

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Index</title>
</head>
<body>
    <div>
        <form method="post" action="~/Contacto/NuevoComentario">

            <p>Nombre:<input type="text" name="nombre" /></p>
            <p>Teléfono / celular:<input type="text" name="telefono" /></p>
            <p>Fecha Nacimineto:<input type="text" name="fechaNacimiento" /></p>
            <p>
                Comentarios<br />
                <textarea rows="10" cols="120"
                          name="comentarios"></textarea>
            </p>
            <p><input type="submit" value="Confirmar" /></p>

        </form>
    </div>
</body>
</html>

POR_PROF_Entregable1/Entregable1/Views/Contacto/ListadoComentarios.cshtml

@{

    Layout = null;

}


@using Entregable1.Models;


<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>


    <title>ListadoComentarios</title>
</head>
<body>
    <div>
        <h1>Lista de contactos</h1>
    </div>
    <div>

        @{

            foreach (Contacto contacto in (List<Contacto>)ViewData["contactos"])
            {
                <div class="card text-center">

                    <div class="card-body">
                        <h5 class="card-title">@contacto.Nombre</h5>
                        <p class="card-text">
                            Telefono: @contacto.Telefono <br />
                            Fecha de nacimiento: @contacto.FechaNacimiento <br />
                            Comentario: @contacto.Comentario <br />

                        </p>
                    </div>

                </div>
            }

        }

        <br />
        <a href="/">Retornar</a>

    </div>
</body>
</html>

POR_PROF_Entregable1/Entregable1/Views/Contacto/NuevoComentario.cshtml

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>NuevoComentario</title>
</head>
<body>
    <div>
        <div>
            <p>La inscripción fue un exito!</p>
            <p>Gracias por sus comentarios.</p>
            <p><a href="/">Retornar</a></p>
        </div>

    </div>
</body>
</html>

POR_PROF_Entregable1/Entregable1/Views/Home/Index.cshtml

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-eOJMYsd53ii+scO/bJGFsiCZc+5NDVN2yr8+0RDqr0Ql0h+rP48ckxlpbzKgwra6" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta3/dist/js/bootstrap.bundle.min.js" integrity="sha384-JEW9xMcG8R+pH31jmWH6WWP0WintQrMb4s7ZOdauHnUtxwoG2vI5DkLtS3qm9Ekf" crossorigin="anonymous"></script>

    <title>Magic School</title>
</head>
<body>
    <div>
        <h1> Magic school</h1>
        <h5> El MEJOR COLEGIO DEL MUNDO ABRE SUS PUERTAS INSCRIBITE AHORA !!!</h5>
    </div>
    <div>
        @Html.ActionLink("Anotate!", "Index", "Contacto", null, new { @class = "btn btn-outline-success", role = "button" })
    </div>
    <div>
        @Html.ActionLink("Ver Contactos", "ListadoComentarios", "Contacto", null, new { @class = "btn btn-outline-info", role = "button" })
    </div>
</body>
</html>